PHP Manual
Prev |  | Next

# imagick_unsharpmask

(PECL)

imagick_unsharpmask -- Sharpen image

## Description

bool imagick_unsharpmask ( resource image, float radius, float sigma, float amount, float threshold )

Warning
This function is currently not documented; only the argument list is available.

## Parameters

`image`

  Image handle

`radius`

  Radius of the pixel neighborhood not counting the center pixel

`sigma`

  Standard deviation of the Gaussian in pixels

`amount`

  Percentage of the difference between the original and the blur image that is added back into the original

`threshold`

  Threshold in pixels needed to apply the diffence amount

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

Prev | Home | Next
imagick_transparent | Up | imagick_wave